import { Component, OnInit } from '@angular/core';
import { BreadcrumbService } from '@app/commons/service/breadcrumb.service';
import { Router } from '@angular/router';


@Component({
  selector: 'of-page-notification',
  templateUrl: './notification-page.component.html',
})
export class NotificationPageComponent implements OnInit {

  constructor(
    private breadcrumbService: BreadcrumbService,
    private router: Router
  ) {
    breadcrumbService.setItems([
      { label: 'Notifications', routerLink: ['/notification'] },
    ]);
  }

  ngOnInit() {
  }

  onPageChange(pageNo: number) {
    this.router.navigate(['/notification'], { queryParams: { page: pageNo } });
  }

}
